<?xml version="1.0" encoding="UTF-8"?>
<!--

    This file is part of maven-build-process. It is subject to the license terms in the LICENSE file found in the top-level
    directory of this distribution and at http://creativecommons.org/publicdomain/zero/1.0/. No part of maven-build-process,
    including this file, may be copied, modified, propagated, or distributed except according to the terms contained
    in the LICENSE file.

-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <!-- ordering follows https://maven.apache.org/developers/conventions/code.html#POM_Code_Convention -->

  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!--                                 PARENT                                  -->
  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!-- https://maven.apache.org/pom.html#Inheritance -->
  <parent>
    <groupId>de.xn--ho-hia.maven.boms</groupId>
    <artifactId>maven-boms</artifactId>
    <version>9999.99.99-SNAPSHOT</version>
  </parent>

  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!--                               COORDINATES                               -->
  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!-- https://maven.apache.org/pom.html#Maven_Coordinates -->
  <artifactId>maven-boms-scripting</artifactId>
  <packaging>pom</packaging>

  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!--                               INFORMATIONS                              -->
  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!-- https://maven.apache.org/pom.html#More_Project_Information -->
  <name>Maven BOMs :: Scripting</name>
  <description>Scripting (languages) related dependencies</description>

  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!--                                PROPERTIES                               -->
  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!-- https://maven.apache.org/pom.html#Properties -->
  <properties>
    <version.jexl>2.1.1</version.jexl>
    <version.juel>2.2.7</version.juel>
    <version.mvel>2.3.1.Final</version.mvel>
    <version.ognl>3.2</version.ognl>
  </properties>

  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!--                            DEPENDENCY MANAGEMENT                        -->
  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!-- https://maven.apache.org/pom.html#Dependency_Management -->
  <dependencyManagement>
    <dependencies>
      <!-- JEXL -->
      <!-- https://commons.apache.org/proper/commons-jexl/ -->
      <dependency>
        <groupId>org.apache.commons</groupId>
        <artifactId>commons-jexl</artifactId>
        <version>${version.jexl}</version>
      </dependency>

      <!-- JUEL -->
      <!-- http://juel.sourceforge.net/ -->
      <dependency>
        <groupId>de.odysseus.juel</groupId>
        <artifactId>juel-api</artifactId>
        <version>${version.juel}</version>
      </dependency>
      <dependency>
        <groupId>de.odysseus.juel</groupId>
        <artifactId>juel-impl</artifactId>
        <version>${version.juel}</version>
      </dependency>

      <!-- MVEL -->
      <!-- https://github.com/mvel/mvel -->
      <dependency>
        <groupId>org.mvel</groupId>
        <artifactId>mvel2</artifactId>
        <version>${version.mvel}</version>
      </dependency>

      <!-- OGNL -->
      <!-- https://commons.apache.org/proper/commons-ognl/ -->
      <dependency>
        <groupId>ognl</groupId>
        <artifactId>ognl</artifactId>
        <version>${version.ognl}</version>
      </dependency>
    </dependencies>
  </dependencyManagement>

</project>
